> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invoice Line Item

> Returns a single Invoice Line Item for the Carrier connection with the associated id.



## OpenAPI

````yaml get /carrier/invoice-line-items/{invoice_line_item_id}
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /carrier/invoice-line-items/{invoice_line_item_id}:
    get:
      tags:
        - carrier
        - Invoice Line Items
      summary: Get Invoice Line Item
      description: >-
        Returns a single Invoice Line Item for the Carrier connection with the
        associated id.
      operationId: get_carrier_get_invoice_line_item
      parameters:
        - in: path
          name: invoice_line_item_id
          schema:
            type: string
          required: true
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CarrierInvoiceLineItemsSingleItemEndpoint'
          description: Successful response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    CarrierInvoiceLineItemsSingleItemEndpoint:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/CarrierInvoiceLineItemApiItemSchema'
      additionalProperties: false
      title: CarrierInvoiceLineItemsSingleItemEndpoint
    HTTPError:
      properties:
        error:
          type: string
        id:
          type: string
          description: The ID of the item that wasn't found.
      required:
        - error
      type: object
      title: HTTPError
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    CarrierInvoiceLineItemApiItemSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the invoice line item.
          example: invoice_line_item_id
        created_date:
          type: string
          format: date-time
          description: The date the invoice line item was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the invoice line item was last updated.
          example: '2022-01-02T05:05:05Z'
        transaction_date:
          type: string
          format: date-time
          description: The transaction date of the invoice line item.
          example: '2025-11-15T00:00:00Z'
        account_id:
          type: string
          description: The account ID associated with the invoice line item.
          example: account_id
        invoice_id:
          type: string
          description: The invoice ID.
          example: invoice_id
        tracking_number:
          type:
            - string
            - 'null'
          description: The tracking number associated with the invoice line item.
          example: tracking_number
        gross_cost:
          type: number
          description: The gross cost of the invoice line item.
          example: 10
        net_cost:
          type: number
          description: The net cost of the invoice line item.
          example: 8
        charge_description:
          type: string
          description: Description of the charge.
          example: Freight Charge
        raw:
          description: The raw invoice line item data.
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - account_id
        - charge_description
        - created_date
        - gross_cost
        - id
        - invoice_id
        - net_cost
        - raw
        - tracking_number
        - trackstar_created_date
        - trackstar_tags
        - trackstar_updated_date
        - transaction_date
        - updated_date
      additionalProperties: false
      title: CarrierInvoiceLineItemApiItemSchema

````